# $Revision: 1.10 $, $Date: 2005/09/06 20:51:00 $
Summary:	GNUstep examples
Summary(pl):	Przykady do GNUstepa
Name:		gnustep-examples
Version:	1.0.0
Release:	4
License:	GPL
Vendor:		The GNUstep Project
Group:		X11/Applications
Source0:	ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz
# Source0-md5:	3409eca37e4a2f9f560cc06907a38e67
Patch0:		%{name}-pass-arguments.patch
URL:		http://www.gnustep.org/
BuildRequires:	gnustep-gui-devel
Requires:	gnustep-back
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/%{_lib}/GNUstep

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
This is a full collection of examples for the GNUstep libraries. Some
tests are very old, other are newer; some are up-to-date, other are
not.

%description -l pl
To jest peny zestaw przykadw do bibliotek GNUstep. Cz jest
bardzo stara, cz nowsza; niektre s uaktualnione, inne nie.

%prep
%setup -q
%patch0 -p1

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

%{__make} \
	OPTFLAG="%{rpmcflags}" \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

%{__make} install \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README

%dir %{_prefix}/System/Applications/*.app
%{_prefix}/System/Applications/*.app/Resources
%dir %{_prefix}/System/Applications/*.app/%{gscpu}
%dir %{_prefix}/System/Applications/*.app/%{gscpu}/%{gsos}
%dir %{_prefix}/System/Applications/*.app/%{gscpu}/%{gsos}/%{libcombo}
%{_prefix}/System/Applications/*.app/%{gscpu}/%{gsos}/%{libcombo}/*.openapp
%attr(755,root,root) %{_prefix}/System/Applications/Calculator.app/Calculator
%attr(755,root,root) %{_prefix}/System/Applications/Calculator.app/%{gscpu}/%{gsos}/%{libcombo}/Calculator
%attr(755,root,root) %{_prefix}/System/Applications/CurrencyConverter.app/CurrencyConverter
%attr(755,root,root) %{_prefix}/System/Applications/CurrencyConverter.app/%{gscpu}/%{gsos}/%{libcombo}/CurrencyConverter
%attr(755,root,root) %{_prefix}/System/Applications/GSTest.app/GSTest
%attr(755,root,root) %{_prefix}/System/Applications/GSTest.app/%{gscpu}/%{gsos}/%{libcombo}/GSTest
%attr(755,root,root) %{_prefix}/System/Applications/Ink.app/Ink
%attr(755,root,root) %{_prefix}/System/Applications/Ink.app/%{gscpu}/%{gsos}/%{libcombo}/Ink
%attr(755,root,root) %{_prefix}/System/Applications/NSBrowserTest.app/NSBrowserTest
%attr(755,root,root) %{_prefix}/System/Applications/NSBrowserTest.app/%{gscpu}/%{gsos}/%{libcombo}/NSBrowserTest
%attr(755,root,root) %{_prefix}/System/Applications/NSPanelTest.app/NSPanelTest
%attr(755,root,root) %{_prefix}/System/Applications/NSPanelTest.app/%{gscpu}/%{gsos}/%{libcombo}/NSPanelTest
%attr(755,root,root) %{_prefix}/System/Applications/NSScreenTest.app/NSScreenTest
%attr(755,root,root) %{_prefix}/System/Applications/NSScreenTest.app/%{gscpu}/%{gsos}/%{libcombo}/NSScreenTest

%dir %{_prefix}/System/Library/ApplicationSupport/GSTest
%dir %{_prefix}/System/Library/ApplicationSupport/GSTest/*.bundle
%{_prefix}/System/Library/ApplicationSupport/GSTest/*.bundle/Resources
%attr(755,root,root) %{_prefix}/System/Library/ApplicationSupport/GSTest/*.bundle/%{gscpu}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnustep-examples.spec,v $
Revision 1.10  2005/09/06 20:51:00  arekm
- rel 4

Revision 1.9  2005/09/06 20:35:00  arekm
- rel 3

Revision 1.8  2004/11/07 21:01:21  havner
- rel up for rebuild

Revision 1.7  2004/10/31 17:19:10  qboosh
- updated to 1.0.0, updated pass-arguments patch, removed obsolete paths patch

Revision 1.6  2004/08/20 08:08:36  aredridel
- add pass-arguments patch
- Rel 3

Revision 1.5  2004/07/04 19:00:46  qboosh
- fixed build on amd64, release 2

Revision 1.4  2003/07/28 16:27:02  qboosh
- pass OPTFLAG

Revision 1.3  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:48:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/12/29 18:03:49  qboosh
- new
